import { defineConfig } from 'astro/config';
import astrowiki from "astrowiki";

// https://astro.build/config
export default defineConfig({
	site: 'https://space.znachor.cz',
	integrations: [astrowiki({
		site: {
			title: "Space",
			name: "Space",
			desc: "Má část Internetu",
			faviconUrl: "/favicon.png",
			logoUrl: "/logo.png",
			color: "#D9234A"
		},
		links: [
			{text: "Úvod", link: "/"},
			{text: "Software", link: "/software"},
			{text: "Linux", link: "/linux"},
			{text: "API", link: "/api"},
		],
		menu: [
			["/api", [
				{
					text: "API",
					items: [
						{text: "Úvod", link: "/api"},
						{text: "Email", link: "/api/email"},
						{text: "QR", link: "/api/qr"}
					]
				}
			]],
			["/software", [
				{
					text: "Software",
					items: [
						{text: "Úvod", link: "/software"},
						{text: "Programy a aplikace", link: "/software/apps"},
						{text: "Operační systémy", link: "/software/os"},
						{text: "Serverový software", link: "/software/server"}
					]
				},
				{
					text: "Výběr",
					items: [
						{text: "Firefox", link: "/software/firefox"}
					]
				}
			]],
			["/linux", [
				{
					text: "Linux",
					link: "/linux/",
					items: [
						{text: "Úvod", link: "/linux"},
						{text: "Grafická prostředí", link: "/linux/prostredi"},
						{text: "Kompatibilita", link: "/linux/kompatibilita"},
						{text: "Hry", link: "/linux/hry"}
					]
				}
			]]
		],
		customCss: ["src/style.css"]
	})]
});