---
title: Programy a aplikace
desc: Veškeré programy a aplikace, které používám a oblíbil jsem si je natolik, že je chci doporučit i ostatním
---

# 🖥️ Programy a aplikace

Na této stránce sepisuji veškeré programy, které používám a oblíbil jsem si je natolik, že je chci doporučit i ostatním. Věřím, že zde najdete spoustu různých kousků softwaru, které se vám budou hodit.

## 🌍 Webový prohlížeč

Webový prohlížeč je dnes místem, kde se odehrává většina naší online aktivity a proto je dobré jeho výběr nepodcenit. Prohlížeče vypsané níže jsou vhodné pro každodení použití a zároveň vás, narozdíl od konkurenčních prohlížečů, nesledují na každém kroku.

- **Firefox** ([web](https://firefox.com))

	- Firefox je rychlý, bezpečný a vysoce přizpůsobitelný open-source webový prohlížeč disponující vlastním vykreslovacím jádrem, mnoha užitečnými funkcemi a rozšířeními.
	- Je to můj primární prohlížeč a více jsem se o něm [rozepsal zde](/software/firefox).

- **Brave** ([web](https://brave.com))

	- Brave je moderní a rychlý open-source webový prohlížeč založený na Chromiu, který blokuje reklamy a trackery a má dobrou ochranou soukromí už ve výchozím nastavení.
	- Používám jej zřídka, ale je to asi nejlepší volba z Chromium-based prohlížečů.

- **Tor Browser** ([web](https://torproject.org))

	- Tor Browser je tou nejlepší volbou, pokud chcete na internetu zůstat maximálně anonymní. Pomocí sítě Tor tento prohlížeč automaticky skryje vaší IP adresu.

## 🚀 Vývojářské nástroje

Věnuji se vývoji různého softwaru, k čemuž potřebuji různé nástroje pro editaci kódu a verzování. V této sekci je ten hlavní software, který k tomu používám.

- **VSCodium** ([web](https://vscodium.com))

	- VSCodium je open-source verze editoru VS Code, která neodesílá telemetická data a zlepšuje ochranu soukromí uživatelů, jelikož odstraňuje proprietární komponenty.
	- Je to můj hlavní editor kódu, který používám pro většinu svých projektů.

- **Gittyup** ([web](https://murmele.github.io/Gittyup))

	- Šikovný a mocný nástroj pro snadnou práci s gitem který hravě zvládne většinu věcí, které je potřeba v repozitářích udělat.
	- Osobně jej používám společně se skvělým serverovým projektem [Forgejo](https://forgejo.org), který nahrazuje proprietární GitHub.

## 🖌️ Grafika

Občas je potřeba upravit nějakou fotku nebo pozměnit křivku v nějakém vektoru. Pro veškerou svou grafickou práci jsem si vždy vystačil se softwarem níže.

- **GIMP** ([web](https://gimp.org))

	- GIMP je populární open-source grafický editor s podporou vstev a sposty dalších užitecných funkcí pro úpravu obrázků. Používám jej pro úpravu fotek i tvorbu grafiky.

- **Inkscape** ([web](https://inkscape.org))

	- Inkscape je open-source editor pro tvorbu vektorové grafiky a kreslení, který umožňuje uživatelům vytvářet profesionální návrhy a ilustrace.
	- Tvořím v něm prakticky veškerou vektorovou grafiku.

- **Blender** ([web](https://blender.org))

	- Blender je open-source editor pro 3D modelování a tvorbu 3D grafiky. Ačkoli se 3D grafice příliš nevěnuji, pořád je to program, který se mi občas hodí.

## 🎬 Video

Tvorba videí není mým hlavním zájmem, ale občas potřebuji přehrát nějaké video či stream z internetu případně nahrávát nebo streamovat (nejen) obrazovku, k čemuž se hodí software níže.

- **VLC Media Player** ([web](https://www.videolan.org/vlc))

	- VLC media player je open-source přehrávač s podporou širokého spektra formátů zvuku a videa, mnoha užitečnými funkcemi, včetně přehrávání streamovaných videí a titulků.

- **OBS Studio** ([web](https://obsproject.com))

	- OBS Studio je open-source software pro nahrávání a streamování obrazovky nebo videa, který nabízí mnoho užitečných funkcí a přizpůsobení.

## 📄 Kancelářský software

Každý se jednou setká s nějakým dokumentem, sešitem nebo potřebuje přímo vytvořit prezentaci. Rozhodně se tedy hodí mít k dispozici nějaký kancelářský balík.

- **LibreOffice** ([web](https://libreoffice.org))

	- LibreOffice je sada nástrojů k otevírání a tvorbě dokumentů, sešitů a prezentací. Jedná se o dobrou open-source alternativu k MS Office.

## 📧 Emailový klient

Email je pro mě jedním z hlavních komunikačních kanálů, který používám. Pro pohodlnou práci s emaily na počítači i na mobilu jsem si oblíbil dvě aplikace níže.

- **Thunderbird** ([web](https://www.thunderbird.net))

	- Thunderbird je open-source emailový klient s mnoha užitečnými funkcemi a podporou více účtů, který Vám usnadní správu vašich emailů.
	- Nedávno dostal nový design a blíží se také podpora synchronizace, už aby to bylo. :D

- **K-9 Mail** ([web](https://k9mail.app))

	- K-9 Mail je open-source emailový klient pro Android s podporou více emailových účtů, který se v budoucnu přemění na Thunderbird pro Android.

## 💡 Nástroje

- **Flameshot** ([web](https://flameshot.org))

	- Flameshot je jednoduchý open-source multiplatformní nástroj na vytváření snímků obrazovky se spoustou užitečných možností jejich úprav.