---
title: Operační systém
desc: Operační systém je to hlavní v počítači, co umožňuje nějaké jeho normální používání
---

# 💿 Operační systém

Operační systém je jednou z nejdůležítějších částí počítače, protože bychom toho bez něj moc neudělali.

Za ty roky jsem si vyzkoušel již několik různých operačních systémů a proto bych se rád podělil o to, které systémy mi vyhovují nejvíce. 

## 🖥️ Desktopový OS

V současné době používám [**Fedora Linux**](https://fedoraproject.org), který jsem si oblíbil a zatím jsem s ním spokojený. Líbí se mi především přítomnost téměř nejnovějších verzí programů a také relativně čisté prostředí [GNOME](https://gnome.org).

Není to ovšem dlouho, co jsem používal [Ubuntu](https://ubuntu.com). Je to rozhodně pěkná distribuce, na které jsem svůj vstup do linuxového světa začal a sloužila dobře. Preferuji však [Flatpak](https://flatpak.org) před [Snapem](https://snapcraft.io), takže jsem se rozhodl přejít na Fedoru.

Stejně, jako pravděpodobně každý, jsem dříve také používal Windows. Již delší dobu mě však lákalo vyzkoušet Linux a po nějakém tom roku na něm mohu potvrdit, že už se vracet rozhodně nebudu.

## 🛡️ Serverový OS

Na většině svých serverů v této době používám [**Debian**](https://debian.org), který jsem si oblíbil především kvůli své stabilitě a lehkosti. Dneska jej používám především virtualizovaně nad hypervisorem [**Proxmox VE**](https://proxmox.com/en/proxmox-ve), který umožňuje pohodlnou práci se servery.

Některé mé servery také pohání [**Ubuntu Server**](https://ubuntu.com/server), a to většinou z důvodu lepší kompatibility s některým serverovým hardwarem nebo prostě jen z toho důvodu, že jsem se ještě nedostal k přechodu na Debian.

Mé první setkání se "serverem" proběhlo po instalaci [Raspberry Pi OS](https://www.raspberrypi.com/software/) (tehdy Raspbianu) na mém první koupené [Raspberry Pi](https://raspberrypi.com) (3B) někdy kolem roku 2017. Už v té době mě provoz vlastního serveru nadchl a tak se tomu věnuji dosud.


## 📱 Mobilní OS

Je tomu nedávno, co jsem společně s novým mobilem změnil i systém, který na něm běží. Rozhodl jsem se pro custom ROM [LineageOS](https://lineageos.org/), která podporuje velké množství běžných mobilů včetně mého Samsung Galaxy S10+. Konkrétně jsem vybral [upravenou variantu](https://lineage.microg.org/) s projektem [microG](https://microg.org/), což je open-source reimplementace některých Google služeb, který se hodí pro podporu geolokace pomocí Wi-Fi nebo příjem některých oznámení.

Narozdíl od předchozího mobilu, který jsem se systémem od výrobce používal přes 5 let, zde konečně nemám (téměř) žádné Google ani jiné proprietární služby, které stejně nepoužívám, akorát zabírají místo a odesílají o mě spoustu různých informací. Překvapilo mě, že jsem se relativně obešel i bez proprietárních aplikací, ze kterých jich potřebuji jen několik jednotek.

Do budoucna chci rozhodně používat LineageOS nebo nějakou jinou custom ROM i nadále, protože už se nechci vracet na Android od výrobce, který je plný různého bloatwaru a sledování. Kromě [LineageOS](https://lineageos.org/) se nabízí také ROMky [GrapheneOS](https://grapheneos.org/) či [CalyxOS](https://calyxos.org/).

### Linux na mobilu

V dnešní době se překvapivě hodně vývojářů věnuje projektům, které se snaží dostat Linux i na mobilní zařízení, což mě pochopitelně velmi zaujalo. Ačkoli je vývoj softwaru na dobré cestě, problém je spíše v hardwaru. Například distribuce [postmarketOS](https://postmarketos.org/) podporuje relativně velké množství "běžných" mobilů, nicméně téměř každému chybí nějaká důležitá funkcionalita, jako je například možnost mobilních dat, volání a podobně.

Věřím, že by se Linux mohl brzy stát použitelným operačním systémem i na mobilních zařízeních. Osobně bych pravděpodobně volil nějaké prostředí odvozené z GNOME, jako je například [Phosh](https://wiki.postmarketos.org/wiki/Phosh) nebo [GNOME Shell for Mobile](https://wiki.postmarketos.org/wiki/Gnome_Shell_for_Mobile).